#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	testdisk
Version		:	7.1
Release		:	14.8.0.0%{?dist}
Summary		:	Tool to check and undelete partition, PhotoRec recovers lost files

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://www.cgsecurity.org/wiki/TestDisk
			#https://github.com/cgsecurity/testdisk

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils	
BuildRequires	:	e2fsprogs
BuildRequires	:	qt

#-----------------------------------------------------------------------------
%description
Tool to check and undelete partition. Works with FAT12, FAT16, FAT32,
NTFS, ext2, ext3, ext4, btrfs, BeFS, CramFS, HFS, JFS, Linux Raid, Linux
Swap, LVM, LVM2, NSS, ReiserFS, UFS, XFS.
PhotoRec is a signature based file recovery utility. It handles more than
440 file formats including JPG, MSOffice, OpenOffice documents.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc AUTHORS ChangeLog NEWS README.md THANKS
%license COPYING
%doc documentation.html
%{_bindir}/fidentify
%{_bindir}/photorec
%{_bindir}/testdisk
%{_mandir}/man8/fidentify.8.gz
%{_mandir}/man8/photorec.8.gz
%{_mandir}/man8/testdisk.8.gz
%{_mandir}/zh_CN/man8/fidentify.8.gz
%{_mandir}/zh_CN/man8/photorec.8.gz
%{_mandir}/zh_CN/man8/testdisk.8.gz

#=============================================================================
%package -n		qphotorec
Summary		:	Signature based file carver. Recover lost files
 
%description -n		qphotorec
QPhotoRec is a Qt version of PhotoRec. It is a signature
based file recovery utility. It handles more than
440 file formats including JPG, MSOffice, OpenOffice documents.

#-----------------------------------------------------------------------------
%files -n		qphotorec
%defattr(-, root,root,-)
%{_bindir}/qphotorec
%{_datadir}/applications/qphotorec.desktop
%{_datadir}/icons/hicolor/48x48/apps/qphotorec.png
%{_datadir}/icons/hicolor/scalable/apps/qphotorec.svg
%{_mandir}/man8/qphotorec.8.gz
%{_mandir}/zh_CN/man8/qphotorec.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
